{
  description = "Skynet Wiki";

  inputs = {
    utils.url = "github:numtide/flake-utils";
    bfom.url = "gitlab:silver_rust/bfom";
  };

  outputs = { self, nixpkgs, utils, bfom }: utils.lib.eachDefaultSystem (system:
    let
      pkgs = nixpkgs.legacyPackages."${system}";
    in rec {
      # `nix build`
      defaultPackage = pkgs.stdenv.mkDerivation {
        name = "skynet-website-renew";
        src = self;
        buildPhase = "${bfom.defaultPackage."${system}"}/bin/cargo-bfom";
        installPhase = "mkdir -p $out; cp -R build/* $out";
      };

      devShells.default = pkgs.mkShell {
        name = "Skynet Wiki env";
        packages = [
          bfom.defaultPackage."${system}"
        ];
      };
    }
  );
}